Bug 132280 - audio/snd: Fix guile support, add motif support
Summary: audio/snd: Fix guile support, add motif support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-03 11:20 UTC by Timothy Beyer
Modified: 2009-03-10 15:51 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (1.15 KB, patch)
2009-03-03 11:20 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2009-03-03 11:20:04 UTC
This patch makes the following changes:

-Adds --with-guile so that guile is actually enabled when guile is selected (currently, if guile is selected, it doesn't install any extension language -- this is because snd's default extension language is now s7)
-Adds support for Motif (the X11 option is now decoupled from GTK, if GTK support is desired, use the GTK and the X11 knobs; Similarly, if Motif is desired, select both the X11 and Motif options.)

On a side note, currently if S7 support is enabled, snd will not compile.  If I come up with a patch, I will file a PR.  Please don't disable the option; I think it will become the only scheme supported eventually, so fixing it should be an eventual priority.

Fix: The following patches:
How-To-Repeat:     -Enable guile and run snd --help after snd is installed
    -Enable X11 and GTK or X11 and Motif
    -Try enabling the S7 option (it won't compile)
Comment 1 Edwin Groothuis freebsd_committer 2009-03-03 11:20:14 UTC
Maintainer of audio/snd,

Please note that PR ports/132280 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/132280

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-03-03 11:20:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Timothy Beyer 2009-03-03 12:03:16 UTC
Hi again,

Use this patch instead of my initial one, this keeps GTK as the default (since most people would probably prefer GTK over Motif) and adds USE_MOTIF when motif is enabled, which should prevent build errors if certain Motif ports are not yet installed.

This still doesn't fix the S7 support, though.

--- Makefile-improved.diff begins here ---
--- Makefile.orig	2009-02-27 15:30:14.000000000 -0800
+++ Makefile	2009-03-03 03:52:00.000000000 -0800
@@ -22,7 +22,9 @@
 		LADSPA	"Include support for LADSPA plugins"	on  \
 		NLS	"Native Language Support"		on  \
 		RUBY	"Use Ruby as the extension language"	off \
-		X11	"Make Snd with Gtk+ graphics support"	on
+		MOTIF	"Make Snd with Motif graphics support"	off \
+		GTK	"Make Snd with Gtk+ graphics support"	on \
+		X11	"Make Snd with GUI support"	on
 
 USE_GNOME=	gnometarget
 GNU_CONFIGURE=	yes
@@ -61,6 +63,7 @@
 .endif
 
 .if !defined(WITHOUT_GUILE)
+CONFIGURE_ARGS+=	--with-guile
 LIB_DEPENDS+=	guile.20:${PORTSDIR}/lang/guile
 PLIST_SUB+=	SCHEME=""
 .else
@@ -96,14 +99,21 @@
 PLIST_SUB+=	SCHEME="@comment "
 .endif
 
-.if defined(WITHOUT_X11)
-CONFIGURE_ARGS+=	--with-no-gui
-PLIST_SUB+=	X11="@comment "
-.else
+.if defined(WITH_GTK)
 USE_GNOME+=	gtk20
 CONFIGURE_ARGS+=	--with-gtk
 PLIST_SUB+=	X11=""
 .endif
+.if defined(WITH_MOTIF)
+USE_MOTIF=	yes
+CONFIGURE_ARGS+=	--with-motif
+PLIST_SUB+=	X11=""
+.endif
+
+.if defined(WITHOUT_X11)
+CONFIGURE_ARGS+=	--with-no-gui
+PLIST_SUB+=	X11="@comment "
+.endif
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|^ _Complex| Vaiolate _Complex|g ; \
--- Makefile-improved.diff ends here ---
Comment 4 Dennis Herrmann freebsd_committer 2009-03-04 21:18:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

I'll take it.
Comment 5 dfilter service freebsd_committer 2009-03-10 15:48:01 UTC
dhn         2009-03-10 15:47:50 UTC

  FreeBSD ports repository

  Modified files:
    audio/snd            Makefile 
  Log:
  - Add Motif/GTK2 graphic support
  - Remove ruby support
  - Bump PORTREVISION
  
  PR:     132280
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:    maintainer, tabthorpe (co-mentor)
  
  Revision  Changes    Path
  1.74      +14 -11    ports/audio/snd/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dennis Herrmann freebsd_committer 2009-03-10 15:51:29 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!